import { alertInfo } from "../../../../utils/index";
import { getTenementBackInfo, } from "../../../../service/tenement"
import request from "../../../../utils/request"
const { OK } = request
// pages/workBench/components/tenement/index.js
Component({

  /**
   * 组件的属性列表
   */
  properties: {

  },

  /**
   * 组件的初始数据
   */
  data: {

  },
  lifetimes: {
    ready() {
      console.log("this.data", this.data)
    }
  },
  /**
   * 组件的方法列表
   */
  methods: {
    onParkFocus(e) {
      this.setData({
        show: true,
        title: "园区",
        type: 'park'
      })
    },
    onTenementFocus(e) {
      const { park } = this.data;
      const that = this;
      if (!park) {
        alertInfo("请先选择园区")
        return;
      }
      this.setData({
        show: true,
        title: "商户",
        type: 'tenement'
      })
    },
    async init() {

    },
    async getTenementInfo() {
      const { tenement, park } = this.data;
      const { code, message, tenement: data } = await getTenementBackInfo(park, tenement)
      if (code !== OK) {
        alertInfo(message)
        return;
      }
      this.setData({
        tenementInfo: data,
      })
    },
    onConfirm(e) {
      const { type, data } = e.detail;
      const that = this;
      switch(type) {
        case "park":
          this.setData({
            park: data.id,
            parkName: data.name,
            show: false,
          })
          break;
        case "tenement":
          this.setData({
            tenement: data.id,
            tenementName: data.name,
            show: false,
          } , () => {
            that.getTenementInfo();
          })
          break;
      }
    },
    startKh() {
      this.setData({
        kaihuVisible: true
      })
      // const { park = '', parkName = '', tenement = '', tenementName = '' } = this.data;
      // wx.navigateTo({
      //   url: `/pages/workBench/components/tenement/components/createTenement/index?park=${park}&tenement=${tenement}&parkName=${parkName}&${tenementName}=${tenementName}`,
      // })
    }
  }
})